@manual{dingledine2008rend,
  author = {Roger Dingledine and Nick Mathewson},
  title = {Tor Rendezvous Specification},
  year = {2008},
  month = {February},
  note = {\url{https://tor-svn.freehaven.net/svn/tor/trunk/doc/spec/rend-spec.txt}},
}

@inproceedings{dingledine2004tor,
  author = {Roger Dingledine and Nick Mathewson and Paul Syverson},
  title = {Tor: The Second-Generation Onion Router},
  booktitle = {Proceedings of the 13th USENIX Security Symposium},
  year = {2004},
  month = {August},
  pages = {303--320},
  pdf = {dingledine2004tor.pdf},
}

@inproceedings{guha2007identity,
  title = {Identity Trail: Covert Surveillance Using DNS},
  author = {Saikat Guha and Paul Francis},
  booktitle = {Proceedings of the Seventh Workshop on Privacy Enhancing Technologies (PET 2007)},
  year = {2007},
  month = {June},
  pages = {153--166},
  address = {Ottawa, Canada},  publisher = {Springer},
}

@manual{kamm2007hidden,
  author = {Tobias Kamm and Thomas Lauterbach and Karsten Loesing and Ferdinand Rieger and Christoph Weingarten},
  title = {Hidden Service Authentication},
  year = {2007},
  month = {September},
  note = {\url{https://tor-svn.freehaven.net/svn/tor/trunk/doc/spec/proposals/121-hidden-service-authentication.txt}},
}

@manual{loesing2007distributed,
  author = {Karsten Loesing},
  title = {Distributed Storage for Tor Hidden Service Descriptors},
  year = {2007},
  month = {May},
  note = {\url{https://tor-svn.freehaven.net/svn/tor/trunk/doc/spec/proposals/114-distributed-storage.txt}},
}

@inproceedings{loesing2006privacy,
  author = {Karsten Loesing and Markus Dorsch and Martin Grote and Knut Hildebrandt and Maximilian R\"{o}glinger and Matthias Sehr and Christian Wilms and Guido Wirtz},
  title = {Privacy-aware Presence Management in Instant Messaging Systems},
  booktitle = {20th IEEE International Parallel and Distributed Processing Symposium},
  year = {2006},
  month = {April},
}

@inproceedings{loesing2007implementation,
  author = {Karsten Loesing and Maximilian R\"{o}glinger and Christian Wilms and Guido Wirtz},
  title = {Implementation of an Instant Messaging System with Focus on Protection of User Presence},
  booktitle = {Proceedings of the Second International Conference on Communication System Software and Middleware},
  year = {2007},
  month = {January},
  publisher = {IEEE CS Press},
}

